@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@:300;400;500;600;700;800;900&display=swap');

/* All Styles */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Poppins', sans-serif;
}
body {
  font-family: Arial, sans-serif;
}

/* Navbar Styles */


.header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  padding: 1rem 5rem;
  background: transparent;
  display: flex;
  justify-content: space-between;
  align-items: center;
  z-index: 99;
}
.logo img {
  width: 15rem;
  height: auto;
  margin-right: 1rem;
}
.navbar a {
  position: relative;
  font-size: 1.1em;
  color: #fff;
  text-decoration: none;
  font-weight: 500;
  margin-left: 2rem;
}
.navbar a::after {
  content: '';
  position: absolute;
  left: 0;
  bottom: -.3rem;
  width: 100%;
  height: .15rem;
  background: #fff;
  border-radius: 5px;
  transform-origin: right;
  transform: scaleX(0);
  transition: .5s;
}
.navbar a:hover:after {
  transform-origin: left;
  transform: scaleX(1);
}
.navbar .btnLogin-popup {
  padding: .5rem 1rem;
  background:transparent;
  border: 2px solid #34d9c3;
  outline: none;
  border-radius: 10px;
  cursor: pointer;
  font-size: 1.1em;
  color: #fff;
  font-weight: 500;
  margin-left: 2rem;
  transition: .5s;
}
.navbar .btnLogin-popup a{
  margin: 0;
}
.navbar .btnLogin-popup:hover {
  background: #34d9c3;
  color: #162938;
}
.navbar .btn-link {
  display: inline-block;
  padding: .4rem .5rem;
  color: #fff;
  text-decoration: none;
  border-radius: 10px;
  transition: background-color 0.3s ease;
}


/* Home Section Styles */

.background0{
  position: absolute;
  top: 0;
  left: 0px;
  width: calc(100% + 0px);
  height: 100%;
  background-image: url("./images/Background\ ITC.png");
  background-size: cover;
  background-repeat: repeat;
  filter: blur(0px);
}
.background{
  position: absolute;
  top: 0;
  right: 0;
  width: 100%;
  height: 100%;
  background: linear-gradient(
      180deg,
      rgba(0,0,0,1) 0%,
      rgba(0,0,0,.7) 15%,
      rgba(0,0,0,.5) 25%,
      rgba(0,0,0,.5) 100%
  );
}
h1 {
  font-size: 2.4em;
  color: #4C526C;
  margin-top: 0;
}

/* Outer Container Styles */

.flex-container {
  display: flex;
  flex-wrap: wrap;
  flex-direction: row;
  gap: 5%;
  justify-content: space-between;
  align-items: top;
  background-color: rgba(0,0,0,.0);
  position: absolute;
  max-width: 90%;
  top: 20%;
  left: 50%;
  transform: translate(-50%, 0);
}
#admin-container.flex-container {
  width: 90%;
}
.flex-container .flex-item {
  flex: 1;
  padding: 1rem;
  margin-bottom: 2rem;
  border-radius: 10px;
  background-color: rgba(236, 236, 236, 0.712);
  text-align: center;
  display: flex;
  flex-direction: column;
  align-items: center;
  min-width: 20%;
  backdrop-filter: blur(5px);
  box-shadow: 0 10px 20px rgba(0, 0, 0, 0.2);
  transition: box-shadow 0.3s ease;
  border: .5px solid rgba(236, 236, 236, 0.5);
}
.flex-container .flex-item h1 {
  font-size: 2em;
  color: #4C526C;
  margin-top: 0;
}

/* Inner Container Styles */

.flex-container > .flex-item > div {
  margin: .7rem;
}
.flex-container > .flex-item > *:not(div) {
  margin: .2rem;
}
p.mandatory-message {
  font-size: .8rem;
  color: rgb(85, 85, 85);
  margin-top: .2rem;
}

/* Index Styles */
.flex-container > .flex-item > div.greetings {
  color: #4C526C;
  margin: 0 auto;
  font-weight: bold;
  font-size: 1.3rem;
}
.overlay select {
  width: 100%;
  padding: .5rem;
  border-radius: .3rem;
  border: none;
  line-height: 1.5rem; 
  text-align: center;
}
#reportContainer {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
}
#reportList > li {
  display: inline-block;
  margin: .3rem;
  padding: .6rem .8rem;
  background-color: #ffffff;
  color: #000000;
  border-radius: 5px;
  text-align: center;
  cursor: pointer;
}
#reportList > li:hover {
  background-color: #34d9c3;
  color: #ffffff;
  transition: background-color 0.3s, color 0.3s;
}
#reportList > li .fas.fa-check {
  color: green;
}
#reportList > li .fas.fa-wrench {
  color: rgb(153, 153, 6);
}
#reportList > li .fas {
  margin-right: .5rem;
}

/* Login/Admin/MyPage Styles */
.flex-container.error-message {
  top: 14%;
}
.flex-container.error-message .flex-item {
  flex-direction: row;
  padding: .2rem .8rem;
}
.flex-container.error-message .flex-item p {
  font-weight: bold;
  color: rgb(161, 0, 0);
}
.flex-container > .flex-item.login {
  max-width: 22rem;
}
input, select {
  color: #1d1d1d;
  background-color: #efefef;
  align-content: center;
  text-align: center;
  font-family: inherit;
  font-size: inherit;
  margin-right: .3rem;
  margin-bottom: .3rem;
  padding: .5rem .8rem;
  border: none;
  border-radius: 6px;
  outline: none;
  display: inline-block;
  width: 90%;
  min-width: 12rem;
  transition:
    background-color 0.1s linear,
    border-color 0.1s linear,
    color 0.1s linear,
    box-shadow 0.1s linear,
    transform 0.1s ease;
}
input:focus, select:focus {
  box-shadow: 0 0 0 2px #0096bfab;
}
option {
  margin: .3rem 0;
  border-radius: 5px;
}
option.selected {
  font-weight: bold;
  background-color: #d8d8d898;
  box-shadow: .05rem .1rem .2rem rgba(30, 65, 87, 0.308);
}
label {
  vertical-align: middle;
  margin-bottom: .2rem;
  display: inline-block;
  width: 90%;
}
.submit-form-button {
  display: inline-block;
  margin-top: .75rem;
  padding: .5rem .8rem;
  background-color: #ffffff;
  color: #000000;
  border-radius: 5px;
  text-align: center;
  cursor: pointer;
  border: none;
  font-size: 1.1rem;
}
.submit-form-button:hover {
  background-color: #34d9c3;
  color: #ffffff;
  transition: background-color 0.3s, color 0.3s;
}


/* Footer Styles */


footer {
  position: fixed;
  left: 0;
  bottom: 0;
  width: 100%;
  background-color: rgba(255, 255, 255, 0.8);
  padding: 10px;
  text-align: center;
}
footer p {
  display: inline-block;
  margin: 0 10px;
}


/***********/
/* Reports */
/***********/


.back-button {
  z-index: 1;
  position: absolute;
  top: 30px;
  left: 15px;
  font-size: 24px;
  cursor: pointer;
  color: #4C526C;
}
.back-button:hover {
  color: #35D9C3; 
}
.powerbi-container {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
  overflow: hidden;
  background-color: #0000;
}
.powerbi-embed {
  width: 100%;
  height: calc(100% - 30px);
}